Page MenuHomePhabricator

Fundraising access request for Amy Fowler
Closed, ResolvedPublic

Description

This is a new access request for Amy Fowler. They require the following access: (mark each box with an x)

  • civicrm web access
    • standard access
    • donor services access
  • ssh access - if specific hosts: list here
  • mysql - if specific hosts or databases: list here
  • superset
  • other: please explain

I created this phab task also https://phabricator.wikimedia.org/T323696 and added in Superset access request to this task too @Dwisehaupt TY


New User Procedure / Checklist

When adding a new user to the fundraising / fr-tech ecosystem, we have a set of places where we need to create accounts and access.

Prerequisites

Before we can take any action to add a user, we need to verify that they are authorized to have such access. This requires confirmation from their manager and approval from the C level that access is approved.

[x] user_verification
Requires: user request
[x] access_rights: letter to C level (currently Lisa) verifying grant of access
[x] account name/contact info: verify on https://collab.wikimedia.org/wiki/Fundraising#Contact_List

Accounts and Services

[x] client_ssl_cert
Requires: user_verification
[x] cert_setup: generate cert on frpm1001 using ssl_user_admin
[x] account_setup: sms the user the password for the key
[x] follow_on: assist with certificate installation
[x] civicrm
Requires: client_ssl_cert
[x] account_setup: Create user account. This will notify the user via email to update their password.
[x] follow_on: Verify user can log in to https://civicrm.wikimedia.org
[x] superset
Requires: client_ssl_cert
[x] account_setup: Create user account. Notify the user of their account name and password.
[x] follow_on: Verify user can log in to https://analytics.frdev.wikimedia.org
[x] archive_access: Add to google drive archive group. https://drive.google.com/drive/folders/0ADWGPlZtksGdUk9PVA

Event Timeline

Initial contact email sent. Account approval received.

Date: Sat, 19 Nov 2022 16:18:12
From: Lisa Seitz Gruwell
To: Caitlin Virtue
Cc: Amy Fowler, fr-tech
Subject: Re: Requesting Access to Civi for Amy Fowler
----------------------------------------

Approve

On Sat, Nov 19, 2022 at 10:40 AM Caitlin Virtue wrote:
      Hi Lisa,
Can you please grant permission for Amy Fowler to access Civi?

Thank you,
Caitlin
RLewis added a subscriber: RLewis.

Contact information received and verified in collab. SSL client cert created and sent via email. password sent via SMS. CiviCRM account created and set with random password. Superset account created and set with random password. Superset password sent via SMS. Welcome email sent with instructions on how to log in and change passwords where needed.

Dwisehaupt updated the task description. (Show Details)
Dwisehaupt moved this task from In Progress to Done on the fundraising-tech-ops board.
Date: Mon, 28 Nov 2022 04:27:45
From: Amy Fowler
To: Dallas Wisehaupt
Subject: Re: Fundraising account setup
----------------------------------------

Hi Dallas, 
Thanks so much for your help with this. I can confirm I've successfully logged into both CiviCRM and Superset. I appreciate your
very clear instructions. 

Many thanks, 

Amy